Subject: Re: [TICTOC] Requirements draft - call for assistance

From: Danny Mayer <[email-masked]>
Date: Sat, 25 Oct 2008 21:40:39 -0400

Roger Sundman wrote:
> Sasha,
> 
> No, I don't think 10 ms is enough for a stock exchanege at least not this
> particular week given the turbulence on the stock market, but for a cash
> register yes. 
> 
> Regards
> Roger

So what accuracy does it need and why?

Danny
_______________________________________________
TICTOC mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tictoc

---

From: Danny Mayer <[email-masked]>
Date: Sat, 25 Oct 2008 22:34:08 -0400

Marshall Eubanks wrote:
> (I renamed the thread.)
> Given that the financial people are concerned with millisecond delays,  
> 10 msec
> is clearly not enough for some trading applications. See, e.g.,
> 
> http://www.usfst.com/currentissue/article.asp?art=275136&issue=281
> 
> “a millisecond advantage in trading applications can be worth $100  
> million a year to a major brokerage firm.”
> 

I read this article and the conclusion I came to was that this has
nothing to do with clock accuracy, it has to do with available bandwidth
 for the critical applications and how fast the network is. The clock
accuracy will not help here, so the 1 millisecond number referenced is
irrelevant.

What is relevant is that the networks people need to be able to do
forensic analysis of packets and application connectivity for which they
need timestamps to figure out what is happening when and where to ensure
optimal performance. Nothing in the article talks about the accuracy
needed for that.

> Much of their use of multicast is driven by such considerations.
> 

True but they are not talking about multicast for time distribution but
multicast of application data.

>   Whether they have thought this through or not
> is another question.
> 

They may have but so far this is a network performance issue not a
financial issue.

Danny

> Marshall

---

From: Danny Mayer <[email-masked]>
Date: Sat, 25 Oct 2008 22:51:21 -0400

Tony Li wrote:
>  
> Hi Marshall,
> 
> |Given that the financial people are concerned with millisecond 
> |delays,  
> |10 msec
> |is clearly not enough for some trading applications. See, e.g.,
> |
> |http://www.usfst.com/currentissue/article.asp?art=275136&issue=281
> |
> |"a millisecond advantage in trading applications can be worth $100  
> |million a year to a major brokerage firm."
> |
> |Much of their use of multicast is driven by such considerations.
> |
> |  Whether they have thought this through or not
> |is another question.
> 
> 
> Is there any bound to the amount of delay that they can exploit?  It would
> seem that given a 1 ms offset, someone will work hard to exploit that.  This
> simply becomes an arms race down to a femto-second.
> 
> Tony

That's easy, just flood the network with traffic. It's not the clock
that's being discussed, it the speed at which the application gets
updates or send updates. What this has to do with a race I cannot imagine.

Danny

---

From: Marshall Eubanks <[email-masked]>
Date: Sun, 26 Oct 2008 12:22:56 -0400

Dear Danny;

> optimal performance. Nothing in the article talks about the accuracy

No, nor would I expect it to - this was not a technical article.  
However, I do not see how you can worry about milliseconds of latency  
without having latency measurements with millisecond accuracy or  
better. Since they do the one, they need the other.

> multicast of application data.

True enough. I mentioned their use of multicast (something I have seen  
first hand) merely as I thought it was something that people might be  
aware of.

Regards
Marshall